GRUB-PROTECT(1)

NUME
grub-protect - protejează o cheie de disc cu un protector de cheie

SINOPSIS
grub-protect [OPȚIUNE...]

DESCRIERE
grub-protect ajută la protejarea unei chei de criptare a discului cu un protector de chei specificat.

Protejează o cheie în clar folosind un protector de cheie GRUB care poate prelua cheia în timpul pornirii pentru a debloca automat discurile complet criptate.

-a, --action=add|remove
    Adaugă sau scoate un protector de cheie pe sau de pe o cheie.

-p, --protector=tpm2
    Stabilește protectorul de chei de utilizat (în prezent este acceptat doar tpm2).

--tpm2-asymmetric=TIP Stabilește tipul de SRK: RSA (RSA2048) și ECC
    (ECC_NIST_P256). (implicit: ECC)

--tpm2-bank=ALGORITM
    Stabilește banca de PCR-uri utilizate pentru a autoriza eliberarea cheii: SHA1, SHA256, SHA384 sau SHA512. (implicit: SHA256)

--tpm2-device=FIȘIER
    Definește ruta către dispozitivul TPM2. (implicit: /dev/tpm0)

--tpm2-evict
    Evacuează un SRK persistent anterior din TPM, dacă există.

--tpm2-keyfile=FIȘIER
    Definește ruta către un fișier care conține cheia în text clar de protejat.

--tpm2-outfile=FIȘIER
    Definește ruta către fișierul care va conține cheia după sigilare (trebuie să fie accesibil pentru GRUB în timpul pornirii).

--tpm2-pcrs=0[,1]...
    Definește o listă separată prin virgule a PCR-urilor utilizate pentru autorizarea eliberării cheii, de exemplu, „7,11”. Vă rugăm să rețineți că PCR 0~7 sunt utilizate de firmware și rezultatul măsurătorii se poate schimba după o actualizare a firmware-ului (pentru sistemele „baremetal”) sau o actualizare a pachetului (OVMF/SeaBIOS/SLOF) în gazda VM. Acest lucru poate duce la eșecul desigilării chei; (implicit: 7).

--tpm2-srk=NUMĂR
    Definește gestionarul SRK în cazul în care SRK trebuie să fie persistent.

--tpm2key
    Utilizează formatul TPM 2.0 Key File.

-?, --help
    oferă această listă de ajutor

--usage
    oferă un mesaj de utilizare scurt

-V, --version
    afișează versiunea programului

Argumentele obligatorii sau opționale pentru opțiunile lungi sunt obligatorii sau opționale și pentru opțiunile corespunzătoare scurte.

RAPORTAREA ERORILOR
Raportați erorile la <bug-grub@gnu.org>.

CONSULTAȚI ȘI
Documentația completă pentru grub-protect este menținută ca un manual Texinfo. Dacă programele info și grub-protect sunt instalate corect pe calculatorul dvs., comanda

    info grub-protect

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.